如何将 PHP 更新为建议的 WordPress 版本

使用过时版本的 WordPress 核心、插件或主题会使您的网站面临风险.PHP 也不例外.

虽然 WordPress 在技术上可以与一些旧版本的 PHP 一起使用,但您牺牲了性能和兼容性,同时使用这些会让自己面临安全漏洞.

为了安全和稳定性,请始终使用 WordPress 推荐的 PHP 版本.

在这篇文章中,我们将讨论如何检查您正在运行的 PHP 版本、如何将您的 PHP 更新到推荐的 WordPress 版本,以及有能力的托管服务提供商如何为您处理这些元素.

这篇文章的跳转链接:

尊重PHP

如果您查看 WordPress 站点文件夹,您会看到很多 PHP 文件.

由于 PHP 为大部分核心 WordPress 软件提供支持,因此它是 WordPress 社区非常重要的语言.

PHP 可在各种平台(Windows、Linux、Unix、Mac OS X 等)上运行,并且与当今使用的几乎所有服务器(Apache、IIS 等)兼容.

它不仅是 WordPress 的主要部分,还是整个网络的主要部分,为 70% 的网站提供支持.

WordPress 支持许多版本的 PHP,有些甚至已经过时,但作为一般规则,您应该只使用那些有安全或稳定支持的版本.

WordPress 建议

PHP 必须定期更新,就像 WordPress 核心、主题和插件一样.

对于 PHP,每个版本在最初发布后获得两年的支持,然后有一年的时间仅根据需要发布关键安全更新.

三年后,该版本的 PHP 不再受支持.

截至 2021 年 7 月,当前推荐的 WordPress 的 PHP 版本为 7.4 或更高版本. >

优质的托管服务提供商通常会要求您使用 WP 推荐的 PHP 版本才能使用他们的服务器,并且会帮助您修改您的站点以确保最新版本的 PHP 不会破坏它.

例如,我们会提到我们自己(嘿,我们为我们的托管感到自豪!).WPMU DEV Hosting 为您的网站提供最新批准的 PHP 版本.

升级(或降级)到各种版本是一个简单的过程,通过我们的 Hub 2.0 完成.

有时,某些第三方插件可能已过时并导致最新版本的 PHP 出现问题.

在这种情况下,您可以寻找更新、替代方案,或者在必要时将您的 PHP 版本降级到旧版本(只要安全补丁版本仍然积极支持).

如果您对我们关于 通过 WPMU DEV 中的托管托管的 PHP 的完整文档感兴趣,请单击此处.

PHP Versions WP Pie chart
Puny Helping (of) Pie — 仅有 0.7% 的网站使用最新版本的 PHP,而最少 36.6% 的网站使用推荐的 PHP 版本.

有时,信誉较差、价格低廉的主机不会主动鼓励您升级 PHP,因为需要额外的支持时间和资源来帮助您过渡.

由于他们不想通过更新到推荐的 PHP 更新版本来破坏您的网站,因此他们通常会让您的网站使用过时的 PHP 版本,并希望它不被注意.

PHP 7.2 于 2017 年 11 月首次亮相.考虑到三年规则,我们知道它在 2020 年 11 月(以及之前更旧的 PHP 版本)达到了生命周期结束.

这意味着超过三分之一 (37.2%) 的 WordPress 网站当前运行的 PHP 版本不再受到积极支持.

这还不是最糟糕的.从历史上看,这个数字在很长一段时间内一直徘徊在甚至超过三分之二(66%)!出于多种原因,这是有问题的.

为什么需要更新 PHP

速度

一方面,使用最新版本会带来巨大的性能优势.

根据 Kinsta 进行的速度测试,跨 7 个 PHP 版本,请考虑以下事项统计:

Benchmark results PHP versions (Kinsta)
PHP 版本显示出明显的速度差异.

您可以从上表中看到,随着 PHP 的每一个更新版本,每秒请求数逐渐增加.

由于使用推荐的 PHP 版本处理相同数量的请求所需的时间更少,因此您可以为访问者提供更好的用户体验.

Kinsta 还在 PHP 版本 8 上进行了测试,我确实想记下它的分数,因为速度的改进确实继续呈上升趋势.

基于每秒 233.40 个请求的基准测试结果,PHP 8.0 比 PHP 7.4 有了巨大的飞跃,证明速度提高了 18.5%.

再退后几个版本到 7.0,它实际上每秒处理的请求数量增加了 50%,相对而言.

我的图表中没有包含 PHP 8.0 版,因为它对一般 WordPress purlieu 的支持很难评估.(WordPress 5.6 目前被认为是 beta与 PHP 8.0 兼容.)

知道这一点后,请谨慎行事并在将任何关键站点或客户端站点升级到 PHP 8.0 之前进行彻底的测试.

费用

维护代码需要付出努力,而当您需要确保其他版本的向后兼容性时,这种努力就会成倍增加.

每当 WordPress 提高最低推荐的 PHP 版本时,过度工作的主题和插件开发人员都会松一口气,有效地将另一个过时的版本(及其所有相关的编码工作)排除在外.

与其花时间解析代码以确保对 PHP 的任何更改都不会影响它,开发人员可以花时间添加新功能或提高安全性.

漏洞

就像插件、主题和 WordPress 核心获得更新以修复安全漏洞一样,PHP 也是如此.

这也是为什么使用仍能获得更新的 PHP 版本如此重要的原因;它可以保护您免受 SQL 注入、XSS 和 DoS 攻击等漏洞的侵害.

根据安全漏洞数据源 CVE 详细信息, 2021 年初至今,PHP 中仅发现 2 个已知漏洞.

将此与 2020 年发现的 14 个漏洞、2018 年发现的 23 个漏洞以及 2016 年发现的 105 个漏洞进行比较,您就会明白为什么更新可以帮助您抵御许多已知的安全漏洞.

CVE vulnerabilities in PHP versions.
给定年份每个 PHP 的漏洞数量.

事实上,一些黑客会通过查看您运行的 PHP 版本来确定哪种攻击有效.

厌恶版本?

兼容性的第一步是了解您的网站使用的 PHP 版本.

您可以直接在 WordPress 仪表板中轻松查看此信息.

转到:工具 > 网站健康>状态.

如果您的网站应该使用较新版本的 PHP,它将显示在推荐改进下.

如果是,则打开已通过测试部分进行验证.您会看到它说您的网站正在运行当前版本的 PHP,后面是括号中的版本号.

WP Site Health, status passed tests
WordPress 仪表板站点健康屏幕显示您的 PHP 版本.

或者,您可以转到 工具 >网站健康 >信息 >服务器从您的站点仪表板,查看您使用的 PHP 版本.

用于查看 PHP 版本信息的 WP 仪表板设置.

如何在 WordPress 中更新 PHP

检查您的托管服务器正在运行的 PHP 版本后,您就会知道是否需要升级到最新版本的 PHP.

如果这样做,则必须检查您的站点与新版本 PHP 的兼容性.您永远不想测试重大更改,例如在您的实时站点上更新您的 PHP,因为如果存在重大的不兼容性,您可能会严重阻碍或削弱您的站点.

因此,最好创建一个备用站点,您可以先在其中测试更改.

第 1 步:创建您网站的副本

首先获取您当前网站的副本.您将需要所有文件和数据库副本.

您可以通过对您的文件使用 SFTP 并使用 我的PHP.

在某些情况下,如果您的备份同时包含文件和数据库,您或许可以使用上次备份.

您可以使用专门为此任务制作的插件来减轻负载.Duplicator 是 WP.org 上提供的免费插件,获得了好评.

如果您想要最简化、最轻松的网站复制过程,并且您已经在使用 WPMU DEV 作为您的托管服务提供商,那么今天是您的幸运日!! 克隆已经成为您会员的一部分!

只需通过我们的 Hub 2.0 进行一些简单的指向和点击,您就可以在几分钟内拥有完全配置、部署就绪的 WP 站点.

还没有和我们一起主持,但想赶上潮流?!没问题,只需点击这里.

有关更多详细信息,请参阅我们的关于通过 WPMU DEV 托管克隆站点的文档.

第 2 步:创建本地或临时站点

获得网站副本后,您需要设置测试环境.如果您的主机允许,您可以使用本地环境或设置临时环境*.

如果您在设置本地环境方面需要帮助,我们有一篇关于如何在本地计算机上设置 XAMPP 的精彩帖子.

设置好测试环境后,您可以将上一步中的文件和数据库添加到测试环境中,这样您就有了实时站点的精确副本.

在测试环境中设置好网站副本后,您就可以升级测试网站的 PHP 版本了.

*通过 WPMU DEV 进行托管包括创建临时环境的能力,而且轻而易举.点击这里了解详情.

PHP 质量控制

现在是有趣的部分,有趣的意思是 QC-ing 的乏味任务.

您需要浏览您的测试站点以确保没有损坏.

密切关注您网站的关键功能.查看流程、简报注册、评论、网络表单、导航以及有助于预期可用性和访问者参与度的所有其他元素.

您希望在任何问题有机会对您的实时网站造成严重破坏并给您的访问者或客户造成糟糕的用户体验之前发现它们.

方便的工具

有一些工具可以帮助开发人员和非开发人员进行 QC 过程.发现的任何超出您知识范围的问题都可以智能地转达给支持人员.

错误日志监视器 – 此插件将显示 PHP 问题列表作为WordPress 仪表板中的错误日志.

WP_DEBUG – 不是插件,而是 PHP 常量(又名,永久全局变量),这可用于触发整个 WordPress 的调试模式.

打开 WP_DEBUG 将允许您查看 PHP 故障类型,以便您可以在代码中修复它们.它还允许您查看在您的站点上运行的任何已弃用的功能(即那些存在于 WP 但不再是执行特定任务的标准方式).

要打开调试,请前往您的 WordPress 安装文件,打开 wp-config.php 文件(位于根目录中),然后在靠近底部的位置添加以下代码行:

加载要点 1b61c6ea012f69190264e22782c66824

如果该行代码已经存在但显示 false,请将其更改为 true.

WP_DEBUG set to true
确保 PHP 中的这一行代码与您的文件.

查看我们博客中的这篇文章,更深入地了解使用 WP_DEBUG.

修复问题

如果插件或主题导致问题,请先在您的测试站点上解决问题,然后找到与最新版本 PHP 兼容的合适替代方案.

找到解决方案后,前往您的实际网站并在那里进行更改.

Smush showing version of PHP
Pee HP 为您的网站考虑插件时支持的版本.

当您在 WordPress 存储库中寻找合适的插件时,请记住检查支持的 PHP 版本.

资源

解决了所有与兼容性相关的错误和问题后,您可以将暂存推向上线,或对上线网站进行任何必要的更改,然后更改上线网站上的 PHP 版本.

此过程因主机而异,但很可能涉及更改主机 cPanel 中的设置.某些共享主机不允许您访问此设置,在这种情况下,您需要联系他们寻求帮助.

这是一个包含关于的说明的列表如何为一系列流行主机更新 PHP 版本,包括 WP Engine、Pantheon、Kinsta、Pagely、Bluehost、Hostgator、GoDaddy 等.

使用 WPMU DEV 进行托管包括我们的 Hub 界面,可大大简化更改 PHP 版本的过程.

通过 WPMU DEV 的 Hub 访问 PHP 设置.

如果您更喜欢带有干净 UI 的简单解决方案来检查或更新 PHP 版本,请尝试托管 WPMU DEV,然后再完成一项任务.

PHP 主机合作

你更愿意在Pretty H糟糕的P位置,还是P职业 >H应用P蕾丝?反问......我真的只是想玩这个首字母缩写词.:)

便宜的共享托管让很多人相信托管网站是一个简单而直接的过程.事实是,维护站点文件和数据库需要做很多工作.

使您的所有软件保持最新是您的主机可以而且应该帮助您完成的任务之一.

如果他们不愿意帮助你,或者隐藏版本让你一头雾水,这是一个危险信号,你可以做得更好,应该认真考虑更换主机.

在 WPMU DEV,我们的托管(由 Digital Ocean 提供支持)在价值上引领行业.

我们不仅帮助您更新您的 PHP 版本,我们还提供了一大堆功能,例如安全性、 缓存配置、正常运行时间监控、专用 IP、每晚备份、免费 &amp ;自动迁移、网站分析等.

如果您在主题或插件的兼容性问题上需要帮助,或者对任何 WP 有疑问,我们的顶级支持团队随时准备提供帮助,24/7.

此外,我们的 30 天全额退款保证涵盖每个托管计划(如果您决定不喜欢,我们将很乐意退还 100% 的钱).

无论您是在我们这里还是在其他地方托管,请记住您的房东可以并且应该提供多少价值.

选择一家您可以信任的公司来处理这些自动化和更新任务,例如根据 WP 建议使您的 PHP 版本保持最新.

不要让低于标准的托管窃取您的注意力.你应该能够把你的时间和精力投入到更精细的细节上;让您的网站在竞争中脱颖而出.

标签:

VPS1352主机测评网(www.vps1352.com)
本文链接:https://www.vps1352.com/how-to-update-php-to-the-recommended-wordpress/

1
订阅评论
提醒
0 评论
内联反馈
查看所有评论